Trigger a job run
POST
/jobs/{jobId}/runs/trigger
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” jobId
required
string
Job definition ID
Query Parameters
Section titled “Query Parameters ” workspaceId
required
string
Workspace ID
Request Body required
Section titled “Request Body required ”object
job_id
required
ID of the job definition to trigger
string
params
Runtime parameters forwarded to the Argo workflow template
object
run_label
Human-readable label for this run (defaults to job name + timestamp)
string
mode
Execution mode
string
Responses
Section titled “ Responses ”Job run created
object
run_id
required
Unique identifier for this workflow run
string
job_id
required
ID of the triggered job definition
string
status
required
Initial status of the run
string
tracking_url
URL to the Argo Workflows UI for tracking this run
string
created_at
required
ISO-8601 timestamp when the run was created
string
WorkspaceId is required
Job not found